---
apiVersion: batch/v1
items:
- apiVersion: batch/v1
  kind: CronJob
  metadata:
    creationTimestamp: "2025-10-29T11:56:30Z"
    generation: 2
    labels:
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.12
      cdi.kubevirt.io/dataImportCron: centos-stream10-image-cron
      cdi.kubevirt.io/dataImportCronNs: openshift-virtualization-os-images
    managedFields:
    - apiVersion: batch/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:cdi.kubevirt.io/dataImportCron: {}
            f:cdi.kubevirt.io/dataImportCronNs: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"1d55906a-5bc9-4c45-99c4-eb4c575b061f"}: {}
        f:spec:
          f:concurrencyPolicy: {}
          f:failedJobsHistoryLimit: {}
          f:jobTemplate:
            f:spec:
              f:backoffLimit: {}
              f:template:
                f:metadata:
                  f:annotations:
                    .: {}
                    f:openshift.io/required-scc: {}
                f:spec:
                  f:containers:
                    k:{"name":"cdi-source-update-poller"}:
                      .: {}
                      f:command: {}
                      f:env:
                        .: {}
                        k:{"name":"http_proxy"}:
                          .: {}
                          f:name: {}
                        k:{"name":"https_proxy"}:
                          .: {}
                          f:name: {}
                        k:{"name":"no_proxy"}:
                          .: {}
                          f:name: {}
                      f:image: {}
                      f:imagePullPolicy: {}
                      f:name: {}
                      f:resources: {}
                      f:securityContext:
                        .: {}
                        f:allowPrivilegeEscalation: {}
                        f:capabilities:
                          .: {}
                          f:drop: {}
                        f:runAsNonRoot: {}
                        f:seccompProfile:
                          .: {}
                          f:type: {}
                      f:terminationMessagePath: {}
                      f:terminationMessagePolicy: {}
                  f:dnsPolicy: {}
                  f:restartPolicy: {}
                  f:schedulerName: {}
                  f:securityContext: {}
                  f:serviceAccount: {}
                  f:serviceAccountName: {}
                  f:terminationGracePeriodSeconds: {}
              f:ttlSecondsAfterFinished: {}
          f:schedule: {}
          f:successfulJobsHistoryLimit: {}
          f:suspend: {}
      manager: virt-cdi-controller
      operation: Update
      time: "2025-10-29T13:20:33Z"
    name: centos-stream10-image-cron-42c697e0
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: 1d55906a-5bc9-4c45-99c4-eb4c575b061f
    resourceVersion: "2228107"
    uid: b85cb4f6-534c-4442-9c34-addabaca0249
  spec:
    concurrencyPolicy: Forbid
    failedJobsHistoryLimit: 1
    jobTemplate:
      metadata:
        creationTimestamp: null
      spec:
        backoffLimit: 2
        template:
          metadata:
            annotations:
              openshift.io/required-scc: restricted-v2
            creationTimestamp: null
          spec:
            containers:
            - command:
              - /usr/bin/cdi-source-update-poller
              - -ns
              - openshift-virtualization-os-images
              - -cron
              - centos-stream10-image-cron
              - -url
              - docker://quay.io/containerdisks/centos-stream:10
              env:
              - name: http_proxy
              - name: https_proxy
              - name: no_proxy
              image: registry.redhat.io/container-native-virtualization/virt-cdi-importer-rhel9@sha256:2dec5aaf88f324119ec33129a60d686e88d3e6a7654233efbe5ae7bd451e3dee
              imagePullPolicy: IfNotPresent
              name: cdi-source-update-poller
              resources: {}
              securityContext:
                allowPrivilegeEscalation: false
                capabilities:
                  drop:
                  - ALL
                runAsNonRoot: true
                seccompProfile:
                  type: RuntimeDefault
              terminationMessagePath: /dev/termination-log
              terminationMessagePolicy: File
            dnsPolicy: ClusterFirst
            restartPolicy: Never
            schedulerName: default-scheduler
            securityContext: {}
            serviceAccount: cdi-cronjob
            serviceAccountName: cdi-cronjob
            terminationGracePeriodSeconds: 0
        ttlSecondsAfterFinished: 10
    schedule: 7 9/12 * * *
    successfulJobsHistoryLimit: 1
    suspend: false
  status: {}
- apiVersion: batch/v1
  kind: CronJob
  metadata:
    creationTimestamp: "2025-10-29T11:56:30Z"
    generation: 2
    labels:
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.12
      cdi.kubevirt.io/dataImportCron: centos-stream9-image-cron
      cdi.kubevirt.io/dataImportCronNs: openshift-virtualization-os-images
    managedFields:
    - apiVersion: batch/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:cdi.kubevirt.io/dataImportCron: {}
            f:cdi.kubevirt.io/dataImportCronNs: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"1d55906a-5bc9-4c45-99c4-eb4c575b061f"}: {}
        f:spec:
          f:concurrencyPolicy: {}
          f:failedJobsHistoryLimit: {}
          f:jobTemplate:
            f:spec:
              f:backoffLimit: {}
              f:template:
                f:metadata:
                  f:annotations:
                    .: {}
                    f:openshift.io/required-scc: {}
                f:spec:
                  f:containers:
                    k:{"name":"cdi-source-update-poller"}:
                      .: {}
                      f:command: {}
                      f:env:
                        .: {}
                        k:{"name":"http_proxy"}:
                          .: {}
                          f:name: {}
                        k:{"name":"https_proxy"}:
                          .: {}
                          f:name: {}
                        k:{"name":"no_proxy"}:
                          .: {}
                          f:name: {}
                      f:image: {}
                      f:imagePullPolicy: {}
                      f:name: {}
                      f:resources: {}
                      f:securityContext:
                        .: {}
                        f:allowPrivilegeEscalation: {}
                        f:capabilities:
                          .: {}
                          f:drop: {}
                        f:runAsNonRoot: {}
                        f:seccompProfile:
                          .: {}
                          f:type: {}
                      f:terminationMessagePath: {}
                      f:terminationMessagePolicy: {}
                  f:dnsPolicy: {}
                  f:restartPolicy: {}
                  f:schedulerName: {}
                  f:securityContext: {}
                  f:serviceAccount: {}
                  f:serviceAccountName: {}
                  f:terminationGracePeriodSeconds: {}
              f:ttlSecondsAfterFinished: {}
          f:schedule: {}
          f:successfulJobsHistoryLimit: {}
          f:suspend: {}
      manager: virt-cdi-controller
      operation: Update
      time: "2025-10-29T13:20:33Z"
    name: centos-stream9-image-cron-e8813598
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: 1d55906a-5bc9-4c45-99c4-eb4c575b061f
    resourceVersion: "2228126"
    uid: cb34dc96-690a-4caa-8f8b-ce344bb9928f
  spec:
    concurrencyPolicy: Forbid
    failedJobsHistoryLimit: 1
    jobTemplate:
      metadata:
        creationTimestamp: null
      spec:
        backoffLimit: 2
        template:
          metadata:
            annotations:
              openshift.io/required-scc: restricted-v2
            creationTimestamp: null
          spec:
            containers:
            - command:
              - /usr/bin/cdi-source-update-poller
              - -ns
              - openshift-virtualization-os-images
              - -cron
              - centos-stream9-image-cron
              - -url
              - docker://quay.io/containerdisks/centos-stream:9
              env:
              - name: http_proxy
              - name: https_proxy
              - name: no_proxy
              image: registry.redhat.io/container-native-virtualization/virt-cdi-importer-rhel9@sha256:2dec5aaf88f324119ec33129a60d686e88d3e6a7654233efbe5ae7bd451e3dee
              imagePullPolicy: IfNotPresent
              name: cdi-source-update-poller
              resources: {}
              securityContext:
                allowPrivilegeEscalation: false
                capabilities:
                  drop:
                  - ALL
                runAsNonRoot: true
                seccompProfile:
                  type: RuntimeDefault
              terminationMessagePath: /dev/termination-log
              terminationMessagePolicy: File
            dnsPolicy: ClusterFirst
            restartPolicy: Never
            schedulerName: default-scheduler
            securityContext: {}
            serviceAccount: cdi-cronjob
            serviceAccountName: cdi-cronjob
            terminationGracePeriodSeconds: 0
        ttlSecondsAfterFinished: 10
    schedule: 7 9/12 * * *
    successfulJobsHistoryLimit: 1
    suspend: false
  status: {}
- apiVersion: batch/v1
  kind: CronJob
  metadata:
    creationTimestamp: "2025-10-29T11:56:30Z"
    generation: 2
    labels:
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.12
      cdi.kubevirt.io/dataImportCron: fedora-image-cron
      cdi.kubevirt.io/dataImportCronNs: openshift-virtualization-os-images
    managedFields:
    - apiVersion: batch/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:cdi.kubevirt.io/dataImportCron: {}
            f:cdi.kubevirt.io/dataImportCronNs: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"1d55906a-5bc9-4c45-99c4-eb4c575b061f"}: {}
        f:spec:
          f:concurrencyPolicy: {}
          f:failedJobsHistoryLimit: {}
          f:jobTemplate:
            f:spec:
              f:backoffLimit: {}
              f:template:
                f:metadata:
                  f:annotations:
                    .: {}
                    f:openshift.io/required-scc: {}
                f:spec:
                  f:containers:
                    k:{"name":"cdi-source-update-poller"}:
                      .: {}
                      f:command: {}
                      f:env:
                        .: {}
                        k:{"name":"http_proxy"}:
                          .: {}
                          f:name: {}
                        k:{"name":"https_proxy"}:
                          .: {}
                          f:name: {}
                        k:{"name":"no_proxy"}:
                          .: {}
                          f:name: {}
                      f:image: {}
                      f:imagePullPolicy: {}
                      f:name: {}
                      f:resources: {}
                      f:securityContext:
                        .: {}
                        f:allowPrivilegeEscalation: {}
                        f:capabilities:
                          .: {}
                          f:drop: {}
                        f:runAsNonRoot: {}
                        f:seccompProfile:
                          .: {}
                          f:type: {}
                      f:terminationMessagePath: {}
                      f:terminationMessagePolicy: {}
                  f:dnsPolicy: {}
                  f:restartPolicy: {}
                  f:schedulerName: {}
                  f:securityContext: {}
                  f:serviceAccount: {}
                  f:serviceAccountName: {}
                  f:terminationGracePeriodSeconds: {}
              f:ttlSecondsAfterFinished: {}
          f:schedule: {}
          f:successfulJobsHistoryLimit: {}
          f:suspend: {}
      manager: virt-cdi-controller
      operation: Update
      time: "2025-10-29T13:20:33Z"
    name: fedora-image-cron-9372ccb6
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: 1d55906a-5bc9-4c45-99c4-eb4c575b061f
    resourceVersion: "2228132"
    uid: 8ee3a702-d823-499f-a56c-33c35fb78d8d
  spec:
    concurrencyPolicy: Forbid
    failedJobsHistoryLimit: 1
    jobTemplate:
      metadata:
        creationTimestamp: null
      spec:
        backoffLimit: 2
        template:
          metadata:
            annotations:
              openshift.io/required-scc: restricted-v2
            creationTimestamp: null
          spec:
            containers:
            - command:
              - /usr/bin/cdi-source-update-poller
              - -ns
              - openshift-virtualization-os-images
              - -cron
              - fedora-image-cron
              - -url
              - docker://quay.io/containerdisks/fedora:latest
              env:
              - name: http_proxy
              - name: https_proxy
              - name: no_proxy
              image: registry.redhat.io/container-native-virtualization/virt-cdi-importer-rhel9@sha256:2dec5aaf88f324119ec33129a60d686e88d3e6a7654233efbe5ae7bd451e3dee
              imagePullPolicy: IfNotPresent
              name: cdi-source-update-poller
              resources: {}
              securityContext:
                allowPrivilegeEscalation: false
                capabilities:
                  drop:
                  - ALL
                runAsNonRoot: true
                seccompProfile:
                  type: RuntimeDefault
              terminationMessagePath: /dev/termination-log
              terminationMessagePolicy: File
            dnsPolicy: ClusterFirst
            restartPolicy: Never
            schedulerName: default-scheduler
            securityContext: {}
            serviceAccount: cdi-cronjob
            serviceAccountName: cdi-cronjob
            terminationGracePeriodSeconds: 0
        ttlSecondsAfterFinished: 10
    schedule: 7 9/12 * * *
    successfulJobsHistoryLimit: 1
    suspend: false
  status: {}
kind: CronJobList
metadata:
  resourceVersion: "2238668"
